All Data Structures Functions Variables Typedefs Enumerations Enumerator Groups Pages
Complement Color Key
Color and Sampling Conversion

Routines for performing complement color key replacement. More...

## CompColorKey

Complement color key replacement.
NppStatus | nppiCompColorKey_8u_C1R_Ctx (const Npp8u *pSrc1, int nSrc1Step, const Npp8u *pSrc2, int nSrc2Step, Npp8u *pDst, int nDstStep, NppiSize oSizeROI, Npp8u nColorKeyConst, NppStreamContext nppStreamCtx)
| 1 channel 8-bit unsigned packed color complement color key replacement of source image 1 by source image 2. More...
NppStatus | nppiCompColorKey_8u_C1R (const Npp8u *pSrc1, int nSrc1Step, const Npp8u *pSrc2, int nSrc2Step, Npp8u *pDst, int nDstStep, NppiSize oSizeROI, Npp8u nColorKeyConst)
NppStatus | nppiCompColorKey_8u_C3R_Ctx (const Npp8u *pSrc1, int nSrc1Step, const Npp8u *pSrc2, int nSrc2Step, Npp8u *pDst, int nDstStep, NppiSize oSizeROI, Npp8u nColorKeyConst[3], NppStreamContext nppStreamCtx)
| 3 channel 8-bit unsigned packed color complement color key replacement of source image 1 by source image 2. More...
NppStatus | nppiCompColorKey_8u_C3R (const Npp8u *pSrc1, int nSrc1Step, const Npp8u *pSrc2, int nSrc2Step, Npp8u *pDst, int nDstStep, NppiSize oSizeROI, Npp8u nColorKeyConst[3])
NppStatus | nppiCompColorKey_8u_C4R_Ctx (const Npp8u *pSrc1, int nSrc1Step, const Npp8u *pSrc2, int nSrc2Step, Npp8u *pDst, int nDstStep, NppiSize oSizeROI, Npp8u nColorKeyConst[4], NppStreamContext nppStreamCtx)
| 4 channel 8-bit unsigned packed color complement color key replacement of source image 1 by source image 2. More...
NppStatus | nppiCompColorKey_8u_C4R (const Npp8u *pSrc1, int nSrc1Step, const Npp8u *pSrc2, int nSrc2Step, Npp8u *pDst, int nDstStep, NppiSize oSizeROI, Npp8u nColorKeyConst[4])
NppStatus | nppiAlphaCompColorKey_8u_AC4R_Ctx (const Npp8u *pSrc1, int nSrc1Step, Npp8u nAlpha1, const Npp8u *pSrc2, int nSrc2Step, Npp8u nAlpha2, Npp8u *pDst, int nDstStep, NppiSize oSizeROI, Npp8u nColorKeyConst[4], NppiAlphaOp nppAlphaOp, NppStreamContext nppStreamCtx)
| 4 channel 8-bit unsigned packed color complement color key replacement of source image 1 by source image 2 with alpha blending. More...
NppStatus | nppiAlphaCompColorKey_8u_AC4R (const Npp8u *pSrc1, int nSrc1Step, Npp8u nAlpha1, const Npp8u *pSrc2, int nSrc2Step, Npp8u nAlpha2, Npp8u *pDst, int nDstStep, NppiSize oSizeROI, Npp8u nColorKeyConst[4], NppiAlphaOp nppAlphaOp)

## Detailed Description

Routines for performing complement color key replacement.

## Function Documentation

NppStatus nppiAlphaCompColorKey_8u_AC4R | ( | const Npp8u * | pSrc1,
|  | int | nSrc1Step,
|  | Npp8u | nAlpha1,
|  | const Npp8u * | pSrc2,
|  | int | nSrc2Step,
|  | Npp8u | nAlpha2,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | Npp8u | nColorKeyConst[4],
|  | NppiAlphaOp | nppAlphaOp
| ) |  |

NppStatus nppiAlphaCompColorKey_8u_AC4R_Ctx | ( | const Npp8u * | pSrc1,
|  | int | nSrc1Step,
|  | Npp8u | nAlpha1,
|  | const Npp8u * | pSrc2,
|  | int | nSrc2Step,
|  | Npp8u | nAlpha2,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | Npp8u | nColorKeyConst[4],
|  | NppiAlphaOp | nppAlphaOp,
|  | NppStreamContext | nppStreamCtx
| ) |  |

4 channel 8-bit unsigned packed color complement color key replacement of source image 1 by source image 2 with alpha blending.

Parameters

  pSrc1 | source1 packed pixel format image pointer.
  nSrc1Step | source1 packed pixel format image line step.
  nAlpha1 | source1 image alpha opacity (0 - max channel pixel value).
  pSrc2 | source2 packed pixel format image pointer.
  nSrc2Step | source2 packed pixel format image line step.
  nAlpha2 | source2 image alpha opacity (0 - max channel pixel value).
  pDst | Destination-Image Pointer.
  nDstStep | Destination-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  nColorKeyConst | color key constant array
  nppAlphaOp | NppiAlphaOp alpha compositing operation selector (excluding premul ops).
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiCompColorKey_8u_C1R | ( | const Npp8u * | pSrc1,
|  | int | nSrc1Step,
|  | const Npp8u * | pSrc2,
|  | int | nSrc2Step,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | Npp8u | nColorKeyConst
| ) |  |

NppStatus nppiCompColorKey_8u_C1R_Ctx | ( | const Npp8u * | pSrc1,
|  | int | nSrc1Step,
|  | const Npp8u * | pSrc2,
|  | int | nSrc2Step,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | Npp8u | nColorKeyConst,
|  | NppStreamContext | nppStreamCtx
| ) |  |

1 channel 8-bit unsigned packed color complement color key replacement of source image 1 by source image 2.

Parameters

  pSrc1 | source1 packed pixel format image pointer.
  nSrc1Step | source1 packed pixel format image line step.
  pSrc2 | source2 packed pixel format image pointer.
  nSrc2Step | source2 packed pixel format image line step.
  pDst | Destination-Image Pointer.
  nDstStep | Destination-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  nColorKeyConst | color key constant
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiCompColorKey_8u_C3R | ( | const Npp8u * | pSrc1,
|  | int | nSrc1Step,
|  | const Npp8u * | pSrc2,
|  | int | nSrc2Step,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | Npp8u | nColorKeyConst[3]
| ) |  |

NppStatus nppiCompColorKey_8u_C3R_Ctx | ( | const Npp8u * | pSrc1,
|  | int | nSrc1Step,
|  | const Npp8u * | pSrc2,
|  | int | nSrc2Step,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | Npp8u | nColorKeyConst[3],
|  | NppStreamContext | nppStreamCtx
| ) |  |

3 channel 8-bit unsigned packed color complement color key replacement of source image 1 by source image 2.

Parameters

  pSrc1 | source1 packed pixel format image pointer.
  nSrc1Step | source1 packed pixel format image line step.
  pSrc2 | source2 packed pixel format image pointer.
  nSrc2Step | source2 packed pixel format image line step.
  pDst | Destination-Image Pointer.
  nDstStep | Destination-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  nColorKeyConst | color key constant array
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiCompColorKey_8u_C4R | ( | const Npp8u * | pSrc1,
|  | int | nSrc1Step,
|  | const Npp8u * | pSrc2,
|  | int | nSrc2Step,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | Npp8u | nColorKeyConst[4]
| ) |  |

NppStatus nppiCompColorKey_8u_C4R_Ctx | ( | const Npp8u * | pSrc1,
|  | int | nSrc1Step,
|  | const Npp8u * | pSrc2,
|  | int | nSrc2Step,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | Npp8u | nColorKeyConst[4],
|  | NppStreamContext | nppStreamCtx
| ) |  |

4 channel 8-bit unsigned packed color complement color key replacement of source image 1 by source image 2.

Parameters

  pSrc1 | source1 packed pixel format image pointer.
  nSrc1Step | source1 packed pixel format image line step.
  pSrc2 | source2 packed pixel format image pointer.
  nSrc2Step | source2 packed pixel format image line step.
  pDst | Destination-Image Pointer.
  nDstStep | Destination-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  nColorKeyConst | color key constant array
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

Copyright © 2009-2019 NVIDIA Corporation